Update an existing Lead
curl --request PATCH \
--url https://commerce.driv.ly/api/leads/{id} \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"salesRep": "<string>",
"consumer": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"favorites": [
"<string>"
],
"acceptsGeneratedMessages": true
}
'import requests
url = "https://commerce.driv.ly/api/leads/{id}"
payload = {
"id": "<string>",
"salesRep": "<string>",
"consumer": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"favorites": ["<string>"],
"acceptsGeneratedMessages": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
salesRep: '<string>',
consumer: '<string>',
phoneNumber: '<string>',
email: '<string>',
favorites: ['<string>'],
acceptsGeneratedMessages: true
})
};
fetch('https://commerce.driv.ly/api/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"salesRep": "<string>",
"consumer": "<string>",
"favorites": [
"<string>"
],
"acceptsGeneratedMessages": true
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}Consumers
Update an existing Lead
PATCH
/
leads
/
{id}
Update an existing Lead
Path Parameters
Lead is uniquely identified by id
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Lead is uniquely identified by id
Sales Rep is assigned to Lead
Lead participates in transactions as Consumer
Lead has Phone Number
Pattern:
^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$Lead has Email
Lead favorites Vehicle
Lead accepts generated messages
⌘I